cudnn_frontend::VariantPackBuilder_v8
cudnn_frontend_VariantPack.h
VariantPack_v8 VariantPack_v8 cudnn_frontend::VariantPackBuilder_v8::m_variant_pack m_variant_pack
auto auto cudnn_frontend::VariantPackBuilder_v8::setDataPointers (int64_t num_ptr, void **ptrs) -> VariantPackBuilder_v8 & setDataPointers int64_t num_ptr void ** ptrs

Set dataPointers for the VariantPack_v8.

auto auto cudnn_frontend::VariantPackBuilder_v8::setUids (int64_t num_uids, int64_t *uid) -> VariantPackBuilder_v8 & setUids int64_t num_uids int64_t * uid

Set Uids for the VariantPack_v8.

cudnn_frontend::VariantPack_v8::uid
auto auto cudnn_frontend::VariantPackBuilder_v8::setDataPointers (std::set< std::pair< uint64_t, void *>> const &data_pointers) -> VariantPackBuilder_v8 & setDataPointers std::set< std::pair< uint64_t, void *>> const & data_pointers

Initialize a set of pairs containing uid and data pointer.

cudnn_frontend::VariantPack_v8::data_pointers
auto auto cudnn_frontend::VariantPackBuilder_v8::setWorkspacePointer (void *ws) -> VariantPackBuilder_v8 & setWorkspacePointer void * ws

Set Workspace.

VariantPack_v8 && VariantPack_v8&& cudnn_frontend::VariantPackBuilder_v8::build () build

constructs the Engine Config by calling the cudnn API Throws the appropriate error message

cudnn_frontend::getLogger
cudnn_frontend::VariantPack_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::VariantPack_v8::VariantPackBuilder_v8
cudnn_frontend::VariantPackBuilder_v8::VariantPackBuilder_v8
()=default
VariantPackBuilder_v8
cudnn_frontend::VariantPackBuilder_v8::~VariantPackBuilder_v8
()=default
~VariantPackBuilder_v8
cudnn_frontend::VariantPackBuilder_v8::VariantPackBuilder_v8
(VariantPackBuilder_v8 &&)=delete
VariantPackBuilder_v8
VariantPackBuilder_v8 &&
cudnn_frontend::VariantPackBuilder_v8::VariantPackBuilder_v8
(VariantPackBuilder_v8 const &)=delete
VariantPackBuilder_v8
VariantPackBuilder_v8 const &
VariantPackBuilder_v8 & VariantPackBuilder_v8& cudnn_frontend::VariantPackBuilder_v8::operator= (VariantPackBuilder_v8 const &)=delete operator= VariantPackBuilder_v8 const &

VariantPackBuilder_v8 Class Helper class used to build VariantPack_v8 class

shared_ptr< OpaqueBackendPointer >
void *
cudnnStatus_t
std::basic_string< char >
cudnn_frontend::VariantPack_v8
-num_ptrs
-uid
-data_pointers
-workspace
int64_t
cudnn_frontend::VariantPackBuilder_v8
-m_variant_pack
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::VariantPackBuilder_v8
  build
- cudnn_frontend::VariantPackBuilder_v8
  m_variant_pack
- cudnn_frontend::VariantPackBuilder_v8
  operator=
- cudnn_frontend::VariantPackBuilder_v8
  setDataPointers
- cudnn_frontend::VariantPackBuilder_v8
  setDataPointers
- cudnn_frontend::VariantPackBuilder_v8
  setUids
- cudnn_frontend::VariantPackBuilder_v8
  setWorkspacePointer
- cudnn_frontend::VariantPackBuilder_v8
  VariantPackBuilder_v8
- cudnn_frontend::VariantPackBuilder_v8
  VariantPackBuilder_v8
- cudnn_frontend::VariantPackBuilder_v8
  VariantPackBuilder_v8
- cudnn_frontend::VariantPackBuilder_v8
  ~VariantPackBuilder_v8